package main

import (
	"fmt"
	"runtime/debug"
)

var (
	Version   = "dev"
	BuildTime = "unknown"
	GitCommit = "unknown"
)

func main() {
	fmt.Printf("Bishop Version: %s\n", Version)
	fmt.Printf("Build Time: %s\n", BuildTime)
	fmt.Printf("Git Commit: %s\n", GitCommit)
	
	// Print build info if available
	if info, ok := debug.ReadBuildInfo(); ok {
		fmt.Printf("Go Version: %s\n", info.GoVersion)
	}
	
	fmt.Println("Hello Bishop")
}
